> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate Incentives

> A `POST` to the `/transactions/incentive-estimate` endpoint allows your application to estimate incentives for a mock transaction without persisting it.



## OpenAPI

````yaml post /v3/transactions/incentive-estimate
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/transactions/incentive-estimate:
    post:
      tags:
        - Transaction
      summary: Estimate Incentives
      description: >-
        A `POST` to the `/transactions/incentive-estimate` endpoint allows your
        application to estimate incentives for a mock transaction without
        persisting it.
      operationId: transaction.incentiveEstimate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MockTransaction'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      data:
                        type: object
                        additionalProperties: {}
                    required:
                      - data
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          additionalProperties: {}
                    required:
                      - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    MockTransaction:
      type: object
      properties:
        trigger_id:
          type: integer
        profile_id:
          type:
            - string
            - 'null'
        profile_id_handle:
          type:
            - string
            - 'null'
        location_id:
          type:
            - string
            - 'null'
        total:
          type: number
        transacted_at:
          type: string
        timezone:
          type: string
        items:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              sku:
                type:
                  - string
                  - 'null'
              product_variant_sku:
                type:
                  - string
                  - 'null'
              price_current:
                type: number
              price_sell:
                type: number
              quantity:
                type: number
            required:
              - name
              - price_sell
              - quantity
          minItems: 1
      required:
        - trigger_id
        - total
        - transacted_at
        - timezone
        - items
      title: MockTransaction
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````